NAMESPACE_ENTER(CFX)

#include CFX_SETTINGS_DEF

#if (Custom == 1)

float4 PS_Custom(float4 vpos : SV_Position, float2 texcoord : TEXCOORD) : SV_Target
{
	return tex2D(RFX_backbufferColor, texcoord);
}

technique Custom_Tech < enabled = true; >
{
	pass CustomPass
	{
		VertexShader = RFX_VS_PostProcess;
		PixelShader = PS_Custom;
	}
}

#endif

#include CFX_SETTINGS_UNDEF

NAMESPACE_LEAVE()
